- Primeros pasos
- Autenticación
- Ámbitos y permisos
- API de gestión de plataformas

Guía de la API de Test Cloud
Actualizar grupo
Actualiza la información sobre el grupo local especificado.
Punto final de API
PUT {accessURL}/{organizationName}/identity_/api/Group/{groupId}
Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:
| Cloud Platform | URL de acceso |
|---|---|
| Test Cloud | https://cloud.uipath.com/ |
| Test Cloud Sector Público | https://govcloud.uipath.us/ |
| Test Cloud Dedicado | https://{customURL}.dedicated.uipath.com/ |
Ámbitos
Necesita los siguientes ámbitos:
- PM.Group
- PM.Group.Write
Solicitar encabezados.
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.
Parámetros de ruta
| Parámetros | Tipo de datos | Descripción |
|---|---|---|
groupId (obligatorio) | Cadena | El Id del grupo que quiere actualizar. |
Solicitar cuerpo
El body solicitud contiene el ID organización al que pertenece el grupo y la información que quieres actualizar, como el nombre y las pertenencias al grupo.
{
"partitionGlobalId": "string",
"name": "string",
"directoryUserIDsToAdd": [
"string"
],
"directoryUserIDsToRemove": [
"string"
]
}
{
"partitionGlobalId": "string",
"name": "string",
"directoryUserIDsToAdd": [
"string"
],
"directoryUserIDsToRemove": [
"string"
]
}
Respuesta
200 OK
El grupo personalizado se actualiza con la información que has proporcionado.
Solicitud de ejemplo
Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.
- Su
{baseURL}es: https://cloud.uipath.com/{organizationName}/identity_ - Tu
{access_token}es:1234(para consideraciones de longitud) - El
{partitionGlobalId}es:3fa85f64-5717-4562-b3fc-2c963f66afa6 - Mantienes el nombre del grupo tal cual.
- Quiere agregar usuarios Luna y Neville al grupo. Estos usuarios tienen los siguientes ID de usuario:
- Identificador de usuario Luna:
lun-1302 - Identificador de usuario Luna:
nev-3007
- Identificador de usuario Luna:
La llamada debe parecerse al siguiente ejemplo (cURL):
curl --location --request PUT 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/gryff-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Gryffindors",
"directoryUserIDsToAdd": [
"lun-1302", "nev-3007"
],
"directoryUserIDsToRemove": []
}'
curl --location --request PUT 'https://cloud.uipath.com/{organizationName}/identity_/api/Group/3fa85f64-5717-4562-b3fc-2c963f66afa6/gryff-01' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
"partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "Gryffindors",
"directoryUserIDsToAdd": [
"lun-1302", "nev-3007"
],
"directoryUserIDsToRemove": []
}'
Esta es la respuesta para una llamada exitosa:
{
"id": "gryff-01",
"name": "Gryffindors",
"displayName": "Gryffindors",
"type": 1,
"creationTime": "2021-10-19T15:37:49.1853184",
"lastModificationTime": "2021-10-19T16:46:20.0742901",
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Hermione",
"lastName": "Granger",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Hermione Granger",
"source": "local",
"identifier": "her-1909",
"name": "Hermione",
"email": "hermione@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Harry",
"lastName": "Potter",
"jobTitle": ""student"",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Harry Potter",
"source": "local",
"identifier": "har-3107",
"name": "Harry",
"email": "harry@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Luna",
"lastName": "Lovegood",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Luna Lovegood",
"source": "local",
"identifier": "lun-1302",
"name": "Luna",
"email": "luna@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Ron",
"lastName": "Weasley",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Ron Weasley",
"source": "local",
"identifier": "ron-0103",
"name": "Ron",
"email": "ron@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Neville",
"lastName": "Longbottom",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Neville Longbottom",
"source": "local",
"identifier": "nev-3007",
"name": "Neville",
"email": "neville@hogwarts.com"
}
]
}
{
"id": "gryff-01",
"name": "Gryffindors",
"displayName": "Gryffindors",
"type": 1,
"creationTime": "2021-10-19T15:37:49.1853184",
"lastModificationTime": "2021-10-19T16:46:20.0742901",
"members": [
{
"objectType": "DirectoryUser",
"firstName": "Hermione",
"lastName": "Granger",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Hermione Granger",
"source": "local",
"identifier": "her-1909",
"name": "Hermione",
"email": "hermione@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Harry",
"lastName": "Potter",
"jobTitle": ""student"",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Harry Potter",
"source": "local",
"identifier": "har-3107",
"name": "Harry",
"email": "harry@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Luna",
"lastName": "Lovegood",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Luna Lovegood",
"source": "local",
"identifier": "lun-1302",
"name": "Luna",
"email": "luna@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Ron",
"lastName": "Weasley",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Ron Weasley",
"source": "local",
"identifier": "ron-0103",
"name": "Ron",
"email": "ron@hogwarts.com"
},
{
"objectType": "DirectoryUser",
"firstName": "Neville",
"lastName": "Longbottom",
"jobTitle": "student",
"companyName": "Hogwarts",
"city": "London",
"department": "magic",
"displayName": "Neville Longbottom",
"source": "local",
"identifier": "nev-3007",
"name": "Neville",
"email": "neville@hogwarts.com"
}
]
}